/*
timer.c

provides functions for measuring the elapsed time

Copyright (C) 2009 Andreas Enge

This file is part of the MPFRCX Library.

The MPFRCX Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at your
option) any later version.

The MPFRCX Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
License for more details.

You should have received a copy of the GNU Lesser General Public License
along with the MPC Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.
*/

#include "timer.h"

/*****************************************************************************/

void timer_start (timer clock)

{
   clock->elapsed = 0;
   times (&(clock->time_old));
}

/*****************************************************************************/

void timer_run (timer clock)

{
   times (&(clock->time_old));
}

/*****************************************************************************/

void timer_stop (timer clock)

{
   times (&(clock->time_new));
   clock->elapsed +=
     ((double) (clock->time_new.tms_utime - clock->time_old.tms_utime)) / 100;
}

/*****************************************************************************/

double timer_get (timer clock)

{
   return clock->elapsed;
}

/*****************************************************************************/
