/*
timer.h

functions for measuring the passing time

Copyright (C) 2009 Andreas Enge

This file is part of the MPFRCX Library.

The MPFRCX Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or (at your
option) any later version.

The MPFRCX Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
License for more details.

You should have received a copy of the GNU Lesser General Public License
along with the MPC Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.
*/

#ifndef __TIMER_H
#define __TIMER_H
#include <sys/times.h>

typedef struct {
   struct tms time_old, time_new;
   double     elapsed;
} timer_struct;
typedef timer_struct timer [1];

#if defined (__cplusplus)
extern "C" {
#endif
extern void timer_start (timer clock);
extern void timer_run (timer clock);
extern void timer_stop (timer clock);
extern double timer_get (timer clock);
#if defined (__cplusplus)
}
#endif
#endif /* ifndef __TIMER_H */
